LDAP: couldn't connect to LDAP server

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
doku:openfoam [2014/10/24 12:34]
markus [INTEL icc and Intel MPI on VSC-2]
doku:openfoam [2022/07/19 07:59] (current)
ewartha Added information about OpenFOAM on VSC-4 (loading, example submission script, Info on Openfoam-org). Marked the old information (vsc-1 and vsc-2) as old
Line 1: Line 1:
-===== OpenFOAM and local temp space on VSC-1 =====+===== OpenFOAM ===== 
 + 
 +==== OpenFOAM on VSC-4 ==== 
 + 
 +check currently available openfoam modules/versions: 
 + 
 +<code> 
 +module avail openfoam* 
 +</code> 
 + 
 +load openfoam: 
 + 
 +<code> 
 +spack load -r openfoam-org@7 %intel@19.0.5.281     #load openfoam-org version 7 and additional packages 
 +module load intel/19.0.5                           #loading compiler with spack not working, needs to be loaded separately 
 +</code> 
 + 
 +Example submission script: 
 +<code> 
 +#!/bin/sh 
 +#SBATCH -J sim 
 +#SBATCH -N 1 
 +#SBATCH -A p71428 
 +#SBATCH --qos p71428_0096  
 +#SBATCH --tasks-per-node=48  
 + 
 +module purge 
 +spack load -r openfoam-org@7 %intel@19.0.5.281 
 +module load intel/19.0.5 
 + 
 +EXE=`which foamExec` 
 + 
 +$EXE decomposePar -allRegions 
 +mpirun -np 48 $EXE chtMultiRegionFoam -parallel 
 +$EXE reconstructPar -newTimes -allRegions 
 +$EXE rm -r processor* 
 +</code> 
 + 
 + 
 +load openfoam source file to have environment variables and be able to compile custom code: 
 +<code> 
 +source $WM_PROJECT_DIR/etc/bashrc 
 +</code> 
 + 
 +ODE-Solvers within openFoam-org versions should be used with the gcc-compiler. 
 + 
 +===== (old): OpenFOAM and local temp space on VSC-1 =====
 a simple jobscript for using the /work/tmp  directory on VSC1 for openFOAM: a simple jobscript for using the /work/tmp  directory on VSC1 for openFOAM:
  
Line 5: Line 51:
  
  
-===== OpenFOAM compile scripts ===== +===== (old): OpenFOAM compile scripts ===== 
-==== INTEL icc and INTELMPI on VSC-1 ====+==== (old): INTEL icc and INTELMPI on VSC-1 ====
  
 in July 2013 VSC-1 has been updated to Scientific Linux 6.4 (identical with VSC-2). Also the latest Infiniband Software only includes Intel MPI. For installing OpenFoam on VSC-1 please use the installation Scripts from VSC-2 in July 2013 VSC-1 has been updated to Scientific Linux 6.4 (identical with VSC-2). Also the latest Infiniband Software only includes Intel MPI. For installing OpenFoam on VSC-1 please use the installation Scripts from VSC-2
Line 32: Line 78:
  
  
-==== INTEL icc and Intel MPI on VSC-2 ====+==== (old): INTEL icc and Intel MPI on VSC-2 ====
  
 Set the [[doku:vsc2&#mpi_version|MPI Version]] to 'intel_mpi_intel64-4.0.3.008' (1.7.1, 2.1.1) or 'impi_intel-4.1.0.024' (2.2.0), logout and login again. Set the [[doku:vsc2&#mpi_version|MPI Version]] to 'intel_mpi_intel64-4.0.3.008' (1.7.1, 2.1.1) or 'impi_intel-4.1.0.024' (2.2.0), logout and login again.
Line 38: Line 84:
 Download the source packages for OpenFoam and Thirdparties. Place them at the same directory as the scripts which are provided below.  Download the source packages for OpenFoam and Thirdparties. Place them at the same directory as the scripts which are provided below. 
  
-=== Version 1.7.1 ===+=== (old): Version 1.7.1 ===
 {{:doku:openfoam:installopenfoam_1.7.1_vsc2.sh}} {{:doku:openfoam:installopenfoam_1.7.1_vsc2.sh}}
  
Line 45: Line 91:
 Place at same directory as the script is executed. Place at same directory as the script is executed.
  
-=== Version 2.1.1 ===+=== (old): Version 2.1.1 ===
 {{:doku:openfoam:installopenfoam_2.1.1_vsc2.sh}} {{:doku:openfoam:installopenfoam_2.1.1_vsc2.sh}}
  
-=== Version 2.2.0 ===+=== (old): Version 2.2.0 ===
 {{:doku:openfoam:installopenfoam_2.2.0_vsc2.sh}} {{:doku:openfoam:installopenfoam_2.2.0_vsc2.sh}}
  
-=== Version 2.2.2 ===+=== (old): Version 2.2.2 ===
 {{:doku:openfoam:installopenfoam_2.2.2_vsc2.sh}} {{:doku:openfoam:installopenfoam_2.2.2_vsc2.sh}}
  
  
-=== Version 2.3.x ====+=== (old): Version 2.3.x ====
  
 {{:doku:openfoam:installopenfoam_2.3.x_vsc2.sh}} {{:doku:openfoam:installopenfoam_2.3.x_vsc2.sh}}
Line 67: Line 113:
 {{:doku:openfoam:installopenfoam_2.3.x_vsc2_git_intel_mpi.4.1.3.045.sh}} {{:doku:openfoam:installopenfoam_2.3.x_vsc2_git_intel_mpi.4.1.3.045.sh}}
  
-=== Version foam-ext-3.0 ====+=== (old): Version foam-ext-3.0 ====
  
  {{:doku:openfoam:install_foam-ext-3.0_git.sh}}  {{:doku:openfoam:install_foam-ext-3.0_git.sh}}
  
 script may needed to be run twice, because git clone some how terminates the script ... script may needed to be run twice, because git clone some how terminates the script ...
-=== Version foam-ext-3.1 ====+=== (old): Version foam-ext-3.1 ====
  
  {{:doku:openfoam:install_foam-ext-3.1_git.sh}}  {{:doku:openfoam:install_foam-ext-3.1_git.sh}}
  • doku/openfoam.txt
  • Last modified: 2022/07/19 07:59
  • by ewartha